Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.netty.buffer
Interface WrappedChannelBuffer

All Superinterfaces:
  ChannelBuffer, Comparable<ChannelBuffer>

All Known Implementing Classes:
  DuplicatedChannelBuffer, ReadOnlyChannelBuffer, SlicedChannelBuffer, TruncatedChannelBuffer

    public interface WrappedChannelBuffer

extends ChannelBuffer

The common interface for buffer wrappers and derived buffers. Most users won't need to use this interface. It is used internally in most cases.

Version:
  $Rev: 2080 $, $Date: 2010-01-26 18:04:19 +0900 (Tue, 26 Jan 2010) $
Author:
  The Netty Project, Trustin Lee

Method Summary
`ChannelBuffer` | `unwrap()` Returns this buffer's parent that this buffer is wrapping.

Methods inherited from interface org.jboss.netty.buffer.ChannelBuffer
`array, arrayOffset, bytesBefore, bytesBefore, bytesBefore, bytesBefore, bytesBefore, bytesBefore, capacity, clear, compareTo, copy, copy, discardReadBytes, duplicate, ensureWritableBytes, equals, factory, getByte, getBytes, getBytes, getBytes, getBytes, getBytes, getBytes, getBytes, getBytes, getChar, getDouble, getFloat, getInt, getLong, getMedium, getShort, getUnsignedByte, getUnsignedInt, getUnsignedMedium, getUnsignedShort, hasArray, hashCode, indexOf, indexOf, isDirect, markReaderIndex, markWriterIndex, order, readable, readableBytes, readByte, readBytes, readBytes, readBytes, readBytes, readBytes, readBytes, readBytes, readBytes, readBytes, readBytes, readChar, readDouble, readerIndex, readerIndex, readFloat, readInt, readLong, readMedium, readShort, readSlice, readSlice, readUnsignedByte, readUnsignedInt, readUnsignedMedium, readUnsignedShort, resetReaderIndex, resetWriterIndex, setByte, setBytes, setBytes, setBytes, setBytes, setBytes, setBytes, setBytes, setBytes, setChar, setDouble, setFloat, setIndex, setInt, setLong, setMedium, setShort, setZero, skipBytes, skipBytes, slice, slice, toByteBuffer, toByteBuffer, toByteBuffers, toByteBuffers, toString, toString, toString, toString, toString, toString, toString, writable, writableBytes, writeByte, writeBytes, writeBytes, writeBytes, writeBytes, writeBytes, writeBytes, writeBytes, writeBytes, writeChar, writeDouble, writeFloat, writeInt, writeLong, writeMedium, writerIndex, writerIndex, writeShort, writeZero`

Method Detail

### unwrap

    ChannelBuffer unwrap()

  Returns this buffer's parent that this buffer is wrapping.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.